
# soname breaks, don't run libtoolize
%define __libtoolize    /bin/true

Summary: 	Utilities for the XFce Desktop Environment.
Name: 		xfce-utils
Version: 	4.0.3
Release: 	1mdk
License:	GPL
URL: 		http://www.xfce.org/
Source0: 	%{name}-%{version}.tar.bz2
Patch0:		%{name}-4.0.1-xinitrc.patch.bz2
Group: 		Graphical desktop/Other
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-mcs-manager
# for /usr/sbin/fndSession:
Requires:	mandrake_desk
BuildRequires:	xfce-mcs-manager-devel
BuildRequires:	libgdk_pixbuf2.0-devel

%description
XFce-utils contains utilities for the XFce Desktop Environment.

%prep
%setup -q
%patch0 -p1 -b .fonts

%build
%configure2_5x --enable-gdm --sysconfdir=%_sysconfdir/X11
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# use 06 as session numbering
mv $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/10XFce4 \
    $RPM_BUILD_ROOT/%{_sysconfdir}/X11/wmsession.d/06XFce4

# remove gdm session file, use fndSession
rm $RPM_BUILD_ROOT/%{_sysconfdir}/X11/gdm/Sessions/XFce4

# remove switchdesk file, not in mdk
rm $RPM_BUILD_ROOT/%{_datadir}/apps/switchdesk/Xclients.xfce4

%find_lang %{name}


%post
%make_session

%postun
%make_session

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root)
%doc README TODO COPYING AUTHORS
%{_bindir}/*
%{_libdir}/xfce4/mcs-plugins/*
%{_datadir}/xfce4/
%config(noreplace) %{_sysconfdir}/X11/wmsession.d/06XFce4
%config(noreplace) %{_sysconfdir}/X11/xfce4/*


%changelog
 * Sat Jan 10 2004 Charles A Edwards <eslrahc@mandrake.org> 4.0.3-1mdk
- 4.0.3

* Mon Dec 22 2003 Charles A Edwards <eslrahc@mandrake.org> 4.0.2-1mdk
- 4.0.2
- use configure2_5 and makeinstall_std

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 4.0.1-3mdk
- don't hardcode fontsize
- don't run xftaskbar4 by default

* Thu Nov 20 2003 Marcel Pol <mpol@gmx.net> 4.0.1-2mdk
- fix requires

* Sun Nov 16 2003 Marcel Pol <mpol@gmx.net> 4.0.1-1mdk
- 4.0.1
- sysconfdir = /etc/X11
- use 06 as session numbering
- postinstall: run fndSession
- don't install gdm sessionfile

* Tue Nov 11 2003 Marcel Pol <mpol@gmx.net> 4.0.0-1mdk
- initial mandrake package

